using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("关联表单")]
    public class T_PR_POST_FORM_LINK_CODE : MesEntityBase
    {
        [Description("岗位表单关联表")]
        [DataFieldForeignKey("Nav_PostForm", "Nav_Codes")]
        public Guid POST_POST_ID { get; set; }

        [Description("岗位表单关联表")]
        public virtual T_PR_POST_FORM_LINK Nav_PostForm { get; set; }

        [Description("表单表")]
        [DataFieldForeignKey("Nav_Form")]
        public Guid? PF_FORM_ID { get; set; }

        [Description("表单表")]
        public virtual T_PF_FORM Nav_Form { get; set; }
        [Description("表单编号")]
        public string CODE { get; set; }
    }
}
